[package]
name = "passport"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
auth = { path = "../libs/auth" }
jwt = { path = "../libs/jwt" }
queue = { path = "../libs/queue" }
db = { path = "../libs/db", features = ["dynamo_db"] }

actix-web = "4.2"
derive_more = "0.99"
rand = "0.8"
rust-argon2 = "1.0"
serde = { version = "1.0", features = ["derive"] }
validator = { version = "0.16", features = ["derive", "phone"] }
lazy_static = "1.4"
regex = "1.7"